#!/system/bin/sh
if busybox [ -f /sdcard/framework-res.apk ] ;
then 
echo "
-------------------------------------------
| Replace framework-res.apk script by propc|
-------------------------------------------"
echo ""
echo "Copy framework-res.apk"
busybox cp -p /sdcard/framework-res.apk /sdcard/framework-res.apk_new
echo "done"
echo ""
echo "Remount R/W your /system"
mount -o remount,rw -t yaffs2 /dev/block/mtdblock0 /system
echo "done"
echo ""
echo "Move framework-res.apk_new to /system/framework/"
busybox mv /sdcard/framework-res.apk_new /system/framework/
echo "done"
echo ""
echo "Update the permission correctly"
cd /system/framework
busybox chmod 644 framework-res.apk_new
echo "done"
echo ""
echo "Backup old framework to sdcard"
busybox cp framework-res.apk /sdcard/framework-res.apk.orig
echo "done"
echo ""
echo "Replacing the old framework-res with the new one and refix permission"
cd /system/framework
busybox mv framework-res.apk_new framework-res.apk
busybox chmod 644 framework-res.apk
echo "Completed"
echo ""
echo "Rebooting..."
sleep 3
reboot
else echo "
-------------------------------------------
| Replace framework-res.apk script by propc|
-------------------------------------------"
echo "" 
echo "Error, the file framework-res.apk not found in the root of sdcard. Check it again"
echo ""
fi